Package com.google.javascript.jscomp

# Interface NodeTraversal.ScopedCallback

All Superinterfaces:
  `NodeTraversal.Callback`

All Known Implementing Classes:
  `NodeTraversal.AbstractScopedCallback`

Enclosing class:
  `NodeTraversal`

public static interface NodeTraversal.ScopedCallback extends NodeTraversal.Callback
Callback that also knows about scope changes

## Method Summary

Modifier and Type
Method
Description
`void`
`enterScope(NodeTraversal t)`
Called immediately after entering a new scope.
`void`
`exitScope(NodeTraversal t)`
Called immediately before exiting a scope.

### Methods inherited from interface com.google.javascript.jscomp.NodeTraversal.Callback

`shouldTraverse, visit`

## Method Details

### enterScope

void enterScope(NodeTraversal t)
Called immediately after entering a new scope. The new scope can be accessed through t.getScope()

### exitScope

void exitScope(NodeTraversal t)
Called immediately before exiting a scope. The ending scope can be accessed through t.getScope()